Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IRGBHistogram Class Reference
RGBHistogram

Interface to RGB histogram metadata (provided by ICaptureMetadata::getRGBHistogram()). More...

`#include <CaptureMetadata.h>`

Inheritance diagram for Argus::IRGBHistogram:

List of all members.

## Public Member Functions

virtual uint32_t | getBinCount () const =0
| Returns the number of bins in the histogram.
virtual Status | getHistogram (std::vector< RGBTuple< uint32_t > > *histogram) const =0
| Returns the histogram data.

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~IRGBHistogram ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface to RGB histogram metadata (provided by ICaptureMetadata::getRGBHistogram()).

Bins are evenly distributed across the possible range of values, each containing the number of pixels whose value fell within the range for that bin.

Definition at line 113 of file CaptureMetadata.h.

## Constructor & Destructor Documentation

Argus::IRGBHistogram::~IRGBHistogram | ( |  | ) |

inlineprotected

Definition at line 135 of file CaptureMetadata.h.

## Member Function Documentation

virtual uint32_t Argus::IRGBHistogram::getBinCount | ( |  | ) | const

pure virtual

Returns the number of bins in the histogram.

virtual Status Argus::IRGBHistogram::getHistogram | ( | std::vector< RGBTuple< uint32_t > > * | histogram | ) | const

pure virtual

Returns the histogram data.

Parameters:

  [out] | histogram | The output vector to store the histogram data. Upon successful return, this vector will be replaced with getBinCount() bin values, each containing per-channel pixel counts within an RGBTuple container.

static const InterfaceID& Argus::IRGBHistogram::id | ( |  | ) |

inlinestatic

Definition at line 117 of file CaptureMetadata.h.

The documentation for this class was generated from the following file:

- include/Argus/CaptureMetadata.h